.NET Framework Developer Pack is not found

Completed

I have installed Rider (v2022.3.1) on my new PC (Windows 11),
now when I try to create a solution I get the following error message: ".NET Framework Developer Pack is not found".

But I have installed on my PC the .NET Framework version 6.0.307.

In addition, I have installed in the settings of Rider under Environment .NET with version 7.0.101.

I have tried several versions of .NET and Rider, restarted the PC several times and installed Rider manually and via the Toolbox. .NET is not recognized in all cases.

Does anyone have any ideas what I am doing wrong or what I can do to solve this problem?

By the way, I hope this is the right place for such questions/problems.

 

0
2 comments
Avatar
Angelina Elycheva
Hello Luis,

According to the screenshot you are trying to create .NET Framework application, not the .NET (Core) app. Do you experience the same problem when creating the .NET/.NET Core apps?
Could you please check what version of .NET Framework is installed on your maching? You can use the following article - https://learn.microsoft.com/en-us/dotnet/framework/migration-guide/how-to-determine-which-versions-are-installed for that.
Thank you.
0

Hi,
Thanks for trying to help me, but I have already solved the problem.
I suspect that a faulty Windows 11 installation was the problem, since Rider was not the only program that was buggy. 
Since I have reinstalled Windows 11 and since then everything works fine.

0

Please sign in to leave a comment.